ATA_DEV_SAME_DEVICE(9)

NAME
ata_dev_same_device - Determine whether new ID matches configured device

SYNOPSIS

int ata_dev_same_device(struct ata_device * dev, unsigned int new_class, const u16 * new_id);

ARGUMENTS

dev
    device to compare against

new_class
    class of the new device

new_id
    IDENTIFY page of the new device

DESCRIPTION

Compare new_class and new_id against dev and determine whether dev is the device indicated by new_class and new_id.

LOCKING

None.

RETURNS

1 if dev matches new_class and new_id, 0 otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT